[package]
name = "aoclib"
version = "1.0.0"
authors = ["AlexAegis <alexaegis@pm.me>"]
license = "mit"
edition = "2021"
repository = "https://github.com/AlexAegis/advent-of-code"

[lib]
name = "aoclib"
path = "./src/lib.rs"

[dependencies]
cached = "0.47.0"
clap = "4.4.16"
async-std = "1.12.0"
tokio = "1.35.1"
rayon = "1.8.0"
regex = "1.10.2"
fancy-regex = "0.13.0"
num-traits = "0.2.17"

[dev-dependencies]
criterion = "*"
